/*UNIVERSITI KUALA LUMPUR*/
/*NUR ALYA NABILAH BINTI ZULKIFLI*/
/*52052120076*/
/*FARAH AIN SOFEA BINTI ARIS FADZILAH*/
/*52052120008*/
/*MADAM NORSHAHARIZAN PUTEH*/
/*WEEK 19*/

/*VARIABLES*/
:root {
    --offwhite: #FFF3F3;
    --purple: #C895CE;
    --lightpurple: #D8B4DC;
    --darkpurple: #A077A4;
    --steelblue: #4682B4;
    --cornflowerblue: #6495ED;
    --pureblack: #000800;
}

/*DEFINITIONS*/
.definitions {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-left: 40%;
    padding: 0;
    box-sizing: border-box;
}

.definitions img {
    width: 400px;
    height: 400px;
    padding: 50px;
}

.main {
    height: 80vh;
    margin-left:-50%;
}

.box {
    width: 450px;
    height: 400px;
    background: var(--offwhite);
    border-radius: 28px;
    box-shadow: 0 10px 15px rgba(0,0,0,0.4);
}

h1 {
    font-size: 30px;
    text-align: center;
}

h3 {
    font-size: 20px;
    text-align: center;
    padding: 10px;
}

.definitions li {
    width: 300px;
    padding: 15px;
    color: var(--pureblack);
    background: var(--offwhite);
    list-style: none;
    margin: 12px;
    cursor: pointer;
    transition: all .2s;
    position: relative;
}

.definitions li:hover {
    transform: translate(20px);
}

.definitions li::before, .definitions li::after {
    content: "";
    position: absolute;
    background: var(--purple);
    transition: all .4s;
}

.definitions li::before {
    width: 20px;
    height: 100%;
    top: 0;
    left: -30px;
}

.definitions li::after {
    width: 100%;
    height: 2px;
    bottom: 0;
    left: 0;
}

.definitions li:hover::before, .definitions li:hover::after {
    background: var(--purple);
    box-shadow: 0 0 12px var(--darkpurple);
}

/*HISTORY*/
/* The actual timeline (the vertical ruler) */
.timeline {
    position: relative;
    max-width: 1200px;
    margin: 0 auto;
}

.history {
    font-size: 50px;
    color: var(--offwhite);
    padding: 10px;
}
  
 /* The actual timeline (the vertical ruler) */
.timeline::after {
    content: '';
    position: absolute;
    width: 6px;
    background-color: white;
    top: 16px;
    bottom: 0;
    left: 50%;
    margin-left: -3px;
}
  
/* Container around content */
.container {
    padding: 10px 40px;
    position: relative;
    background-color: inherit;
    width: 50%;
}
  
/* The circles on the timeline */
.container::after {
    content: '';
    position: absolute;
    width: 25px;
    height: 25px;
    right: -16px;
    background-color: white;
    border: 4px solid var(--cornflowerblue);
    top: 15px;
    border-radius: 50%;
    z-index: 1;
}
  
/* Place the container to the left */
.left {
    left: 0%;
}
  
/* Place the container to the right */
.right {
    left: 50%;
}
  
/* Add arrows to the left container (pointing right) */
.left::before {
    content: " ";
    height: 0;
    position: absolute;
    top: 22px;
    width: 0;
    z-index: 1;
    right: 30px;
    border: medium solid white;
    border-width: 10px 0 10px 10px;
    border-color: transparent transparent transparent white;
}
  
/* Add arrows to the right container (pointing left) */
.right::before {
    content: " ";
    height: 0;
    position: absolute;
    top: 22px;
    width: 0;
    z-index: 1;
    left: 30px;
    border: medium solid white;
    border-width: 10px 10px 10px 0;
    border-color: transparent white transparent transparent;
}
  
/* Fix the circle for containers on the right side */
.right::after {
    left: -16px;
}

/* The actual content */
.content {
    padding: 20px 30px;
    background-color: white;
    position: relative;
    border-radius: 6px;
}

.content h2 {
    font-size: 20px;
    text-align: center;
    color: var(--steelblue);
}

.content p {
    font-size: 15px;
    padding: 5px;
}
  
/* Media queries - Responsive timeline on screens less than 600px wide */
@media screen and (max-width: 600px) {
/* Place the timelime to the left */
    .timeline::after {
    right: 31px;
}
    
/* Full-width containers */
    .container {
    width: 100%;
    padding-left: 70px;
    padding-right: 25px;
}
    
/* Make sure that all arrows are pointing leftwards */
    .container::before {
    left: 60px;
    border: medium solid white;
    border-width: 10px 10px 10px 0;
    border-color: transparent white transparent transparent;
}
  
/* Make sure all circles are at the same spot */
    .left::after, .right::after {
    left: 15px;
}
    
/* Make all right containers behave like the left ones */
    .right {
    left: 0%;
    }
}